RPM-SETUP-AUTOSIGN(1)

NOM
rpm-setup-autosign – Mise en place d'une signature automatique pour rpmbuild

SYNOPSIS
rpm-setup-autosign [options]

DESCRIPTION
rpm-setup-autosign est utilisé pour paramétrer une signature automatique à partir de rpmbuild(1). Ce programme génère une clé OpenPGP spécifique à l’hôte et à l’utilisateur, sans nécessité de mot de passe. Il configure rpmbuild(1) pour utiliser cette clé et exporte la clé publique (aussi appelé certificat) pour l'import dans le trousseau de clés persistant de rpm(8).

Le but de la signature automatique est de rendre moins pénible le test de construction locale. Pour la distribution de paquets, il est recommandé d’utiliser un compte de signature différent ne pouvant pas être compromis par une construction.

OPTIONS
-p <gpg|sq>, --prog <gpg|sq>
    Indiquer le programme de signature à utiliser : GnuPG ou sq(1) de Sequoia PGP.

CONFIGURATION
Si le programme se termine avec succès, une ou plusieurs des macros suivantes seront configurées dans le fichier de configuration de macros de l’utilisateur. Consulter rpm-config(5) pour plus de détails :
–   %_openpgp_autosign_id
–   %_openpgp_sign

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

FICHIERS
~/.config/rpm/rpmbuild-*.asc
~/.config/rpm/macros

EXEMPLES
/usr/lib/rpm/rpm-setup-autosign -p sq
    Régler l’autosignature de rpmbuild(1) en utilisant Sequoia-sq.

VOIR AUSSI
rpm(8) rpmsign(1) rpmbuild(1)

http://www.rpm.org/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.